Subject: [Tools-discuss] PROTO submission tool

From: Jari Arkko <[email-masked]>
Date: Wed, 13 May 2009 21:37:40 +0300

Here's a very good tools idea suggestion from Brian Haberman. Any ideas 
on how to get this done?

-------- Original Message --------
Subject: 	Re: PROTO Process
Date: 	Wed, 13 May 2009 10:00:35 -0400
From: 	Brian Haberman <[email-masked]>
To: 	Jari Arkko <[email-masked]>
References: 
<[email-masked]><[email-masked]> 
<[email-masked]> 
<[email-masked]> 
<[email-masked]> 
<[email-masked]> 
<[email-masked]> 
<[email-masked]>

Jari,
     This may be only tangentially related, but this seemed like a good 
point to raise the idea.  Why are we still filling out the write-ups by 
hand and e-mailing them to the ADs?  Given that there have been changes 
to the write-up template, wouldn't it make sense to turn the WG-->IESG 
advancement step into an on-line form that would:

     - Allow a chair to advance the draft to the ADs
     - Send an e-mail to the sponsoring WG
     - Prompt the chair for the document shepherd
     - Allow the chair to fill in the proto write-up
     - Add the document shepherd to notifications via the draft alias

Regards,
Brian

Jari Arkko wrote:
> I wanted to provide some additional background on why we are asking 
> about the PROTO process.
> 
> The IESG met this week and talked about a number of things related to 
> our process. One of the things that we would like to improve upon is the 
> progress of drafts through the IESG process. There are several problems 
> in this, including:
> 
> - the fact that 82% of drafts have to be modified during AD review - 
> IESG review (and the rest probably have RFC Editor notes)
> - the process takes a relatively long time (avg 9 weeks for drafts that 
> stay unchanged and 31 weeks for drafts that change)
> - the timing is rather unpredictable, there is great variation among drafts
> - the visibility to what is happening and who has the token could be 
> improved
> - there is at least anecdotal evidence that for many drafts, there is a 
> long wait for new version or a response to review comments
> 
> Various statistics on these are available at 
> http://www.arkko.com/tools/admeasurements/stat/base.html (but do not 
> stare at the numbers too directly). The situation seems to have improved 
> with regards to various metrics in recent times, but the IESG discussed 
> a number of actions to make additional improvements. These include:
> 
> - Reminding ADs and shepherds to keep their working groups better 
> informed about the ongoing reviews, raised issues, and suggested changes 
> to their drafts.
> 
> - Starting a discussion in the wgchairs list about the roles of 
> shepherds and whether there is something to improve.
> 
> - Create a "stall" state in the tracker. This would be used for 
> documents where the wait for a response to an IESG or other review has 
> taken a long a time. The fact that the draft has entered this state 
> should also be communicated to the WG.
> 
> - Reminding everyone that if the holdup on a particular issue is due to 
> an unresponsive AD, you can contact Russ to send a reminder.
> 
> Then I wanted to say a few things about the shepherd process. Please 
> remember this works well in many cases, and we get great help from the 
> shepherds in resolving issues. Or the authors and ADs converge quickly 
> and things just move forward. However, there are cases where I would 
> expect more action from the shepherds. For instance, Pasi often reports 
> in his AD notes 
> (http://www.ietf.org/mail-archive/web/saag/current/msg02643.html) about 
> cases where he has raised a Discuss but has not heard from the authors. 
> The shepherds and WG chairs should be active in such cases, reminding 
> authors to move forward, finding new editors if needed, etc.
> 
> I'd also observe that generally speaking the chairs and shepherds and 
> more experienced in the IETF process and have worked with more 
> specifications than individual authors. This experience is very valuable 
> when talking about issues raised during the Last Call and IESG reviews. 
> It takes judgment and knowledge of the WG's area to determine whether a 
> particular issue is truly a problem. The ADs make these calls, but it 
> often comes down to a discussion between an individual AD having 
> specific expertise (such as transport or security) and the author; I 
> would like to see more shepherds participating in the discussions and 
> weighing in. Pushback on Discusses is appreciated!
> 
> About the writeups: the ADs do read these, and I at least find them 
> useful. I also often read writeups from other AD's documents in the IESG 
> review stage, if something about the status or history of the draft is 
> unclear. Of course, the writeups are truly useful only if the shepherd 
> really did do a final review of the document, checked the nits, and 
> provided more useful background information than simply copying the 
> abstract from the document :-) But in most cases that I'm aware of they 
> do contain useful information.
> 
> Jari

---

From: Lars Eggert <[email-masked]>
Date: Wed, 13 May 2009 23:23:02 +0300

I'm pretty sure something like this was supposed to be part of the WG  
chair functionality that was to be added to the tracker, but I have  
not idea what the ETA on that is. (It is a good idea.)

Lars

On 2009-5-13, at 21:37, Jari Arkko wrote:
> <[email-masked]><[email-masked] 
> >
> < 
> [email-masked]>
> < 
> [email-masked]>
> _______________________________________________
> Tools-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tools-discuss

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 15 May 2009 00:16:49 +0200

Hi Lars, Jari,

> not idea what the ETA on that is. (It is a good idea.)

Agreed, and I believe Lars is right about the WG chair functionality,
although being able to submit the writeup as a form wasn't mentioned:
http://tools.ietf.org/html/draft-ietf-proto-wgchair-tracker-ext

During the SF IETF there was several people who indicated that having
the shepherd writeup as a form would be very good, and I was thinking
about doing it, but right now there's just too much other stuff.

After the IETF database conversion work there should be some more time.

	Henrik